Name:          sugar-pippy
Version:       62
Release:       1%{?dist}
Summary:       Pippy for Sugar

Group:         Sugar/Activities
License:       GPLv2+
URL:           http://wiki.laptop.org/go/Pippy
Source0:       http://download.sugarlabs.org/sources/sucrose/fructose/Pippy/Pippy-%{version}.tar.bz2
BuildArch:     noarch

BuildRequires: python-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gettext 
BuildRequires: sugar-toolkit-gtk3

Requires:      gobject-introspection
Requires:      pybox2d
Requires:      pygame
Requires:      python-elements
Requires:      sugar


%description
Teaches Python programming by providing access to Python code samples
and a fully interactive Python interpreter.

The user can type and execute simple Python expressions. For example,
it would be possible for a user to write Python statements to calculate
expressions, play sounds, or make simple text animation. 


%prep
%setup -q -n Pippy-%{version}
# Fix permissions
rm -rf library/pippy/physics

# Remove shebang
for Files in pippy_app.py ; do
  sed -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  rm ${Files}.orig
done


%build
python ./setup.py build


%install
python ./setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang org.laptop.Pippy


%files -f org.laptop.Pippy.lang
%doc NEWS COPYING
%{sugaractivitydir}/Pippy.activity/


%changelog
* Mon Nov 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> 62-1
- Release 62

* Thu Jul  3 2014 Peter Robinson <pbrobinson@fedoraproject.org> 61-1
- Release 61

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Peter Robinson <pbrobinson@fedoraproject.org> 58-1
- Release 58

* Sat Feb 15 2014 Peter Robinson <pbrobinson@fedoraproject.org> 57-1
- Release 57

* Thu Feb  6 2014 Peter Robinson <pbrobinson@fedoraproject.org> 56-1
- Release 56

* Thu Jan 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> 55-1
- Release 55

* Fri Dec 20 2013 Peter Robinson <pbrobinson@fedoraproject.org> 54-1
- Release 54

* Tue Dec  3 2013 Peter Robinson <pbrobinson@fedoraproject.org> 53-1
- Release 53

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 52-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 16 2013 Peter Robinson <pbrobinson@fedoraproject.org> 52-1
- Release 52

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 51-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 21 2012 Peter Robinson <pbrobinson@fedoraproject.org> 51-1
- Release 51

* Thu Oct  4 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 50-1
- Release 50

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 48-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 48-1
- Release 48

* Sat Mar 24 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 46-1
- Release 46

* Fri Feb 17 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 45-1
- Release 45

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 10 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 44-1
- Release 44

* Fri Oct 14 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 43-1
- Release 43

* Sat Oct  1 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 42-1
- New upstream 42 release

* Sat Sep 10 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 41-1
- New upstream 41 release

* Wed Mar  9 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 40-1
- New upstream 40 release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 38-2
- Bump build

* Tue Nov  9 2010 Peter Robinson <pbrobinson@fedoraproject.org> - 38-1
- New upstream 38 release

* Fri Jul 30 2010 Sebastian Dziallas <sebastian@when.com> - 37-1
- New upstream release

* Mon May 24 2010 Sebastian Dziallas <sebastian@when.com> - 36-1
- New upstream release
- Stop using bundled pybox2d

* Mon Dec 14 2009 Peter Robinson <pbrobinson@fedoraproject.org> - 34-6
- Add buildreq gettext to fix build issues on F-12/rawhide - fixes # 539103

* Sat Aug 15 2009 Fabian Affolter <fabian@bernewireless.net> - 34-5
- Bump release for a new build

* Thu Aug 13 2009 Fabian Affolter <fabian@bernewireless.net> - 34-4
- Remove the pre-compiled stuff
- Re-added noarch

* Mon Aug  3 2009 Ville Skyttä <ville.skytta at iki.fi> - 34-3
- Disable -debuginfo properly.

* Sat Aug 01 2009 Fabian Affolter <fabian@bernewireless.net> - 34-2
- Removed noarch

* Sat Aug 01 2009 Fabian Affolter <fabian@bernewireless.net> - 34-1
- Added part to fix permissions and removing shebangs
- This package is not longer noarch
- Updated to new upstream version 34

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 Fabian Affolter <fabian@bernewireless.net> - 30-1
- Updated to new upstream version 30

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Fabian Affolter <fabian@bernewireless.net> - 25-2
- Added some requirements

* Sun Jan 25 2009 Fabian Affolter <fabian@bernewireless.net> - 25-1
- Initial package for Fedora
